Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms.management.server
Class DestinationPauseType

    java.lang.Object
      com.sun.messaging.jms.management.server.DestinationPauseType

    public class DestinationPauseType

extends java.lang.Object

Class containing constants for destination pause type.

Field Summary
`static java.lang.String` | `ALL` Pauses delivery of messages to consumers and from producers.
`static java.lang.String` | `CONSUMERS` Pauses delivery of messages to consumers
`static java.lang.String` | `PRODUCERS` Pauses delivery of messages from producers

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRODUCERS

    public static final java.lang.String PRODUCERS

  Pauses delivery of messages from producers

  See Also:
    Constant Field Values

### CONSUMERS

    public static final java.lang.String CONSUMERS

  Pauses delivery of messages to consumers

  See Also:
    Constant Field Values

### ALL

    public static final java.lang.String ALL

  Pauses delivery of messages to consumers and from producers.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.